/*
	ProWesS, PROGS Windowing System

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera
	started 14 January 1995
*/

#include "ProWesS_h"

Error exit(PWObject object)
{
	return PWChange(object,PW_SYSTEM_BREAKDOWN,NULL);
}

void init()
{
	PWObject first,second;

	PWCreate(NULL,&first,PW_TYPE_LOOSE_ITEM,
				PW_LOOSE_TEXT, "hello world",
				NULL);
	PWCreate(first,&second,PW_TYPE_LOOSE_ITEM,
				PW_LOOSE_TEXT, "right item",
				PW_POSITION_RIGHT_OF, first,
				NULL);
	PWCreate(first,&second,PW_TYPE_LOOSE_ITEM,
				PW_LOOSE_TEXT, "left item",
				PW_POSITION_LEFT_OF, first,
				NULL);
	PWCreate(first,&second,PW_TYPE_LOOSE_ITEM,
				PW_LOOSE_TEXT, "above item",
				PW_POSITION_ABOVE, first,
				NULL);
	PWCreate(first,&second,PW_TYPE_LOOSE_ITEM,
				PW_LOOSE_TEXT, "below item",
				PW_POSITION_BELOW, first,
				PW_LOOSE_STATUS,PW_STATUS_UNAVAILABLE,
				NULL);
	PWCreate(second,&first,PW_TYPE_LOOSE_ITEM,
				PW_LOOSE_TEXT, "quit",
				PW_POSITION_RIGHT_OF, second,
				PW_LOOSE_ACTION_HIT,&exit,
				NULL);
	PWActivate(first);
}
