/*
	ProWesS, PROGS Windowing System

	ProWesS test for canvas type

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera
	started 25 April 1995
*/

#include "sms_h"
#include "win_h"
#include "ProWesS_h"

Error dragdo(PWObject object, CanvasInfo *rinfo)
{
	return PWChange(object,PW_POINTER,SPRITE_LEFT,NULL);
}

Error dragend(PWObject object, CanvasInfo *rinfo)
{
	return PWChange(object,PW_POINTER,SPRITE_HAND,NULL);
}


void init()
{
	PWObject obj;

	PWCreate(NULL,&obj,PW_TYPE_OUTLINE,
				PW_OUTLINE_QUIT,
				PW_OUTLINE_QUIT_KEYPRESS, 27,
				PW_OUTLINE_SLEEP,
				NULL);
	PWCreate(obj, NULL, PW_TYPE_CANVAS,
				PW_CANVAS_SIZE_PIX, 100,45,
				PW_CANVAS_ACTION_DODRAG, dragdo,
				PW_CANVAS_ACTION_DRAGEND, dragend,
				NULL);
	PWActivate(obj);
}
