/*
	ProWesS, PROGS Windowing System

	PWJobCreate 	create PWJob data for the current job (if not yet exists)

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera
	started 14 January 1995
*/

#include "sms_h"
#include "job_h"
#include "time_h"
#include "ProWesS_h"

Error exit(PWObject object)
{
	return PWChange(object,PW_SYSTEM_BREAKDOWN,NULL);
} 

Error init()
{
	PWObject first;

	{
		Time start, curr;

		/* wait for approx 10sec. */
		TIMEGet(&start);
		do {
			JOBSuspend(MYSELF,1,NULL);
			TIMEGet(&curr);
		} while (start+10>curr);
	}
	PWCreate(NULL,&first,PW_TYPE_LOOSE_ITEM,
				PW_LOOSE_TEXT, "hello world",
				PW_LOOSE_ACTION_HIT, exit,
				NULL);
	PWActivate(first);
	PWActivate(first);
	PWActivate(first);
	PWRemove(first);
	{
		Time start, curr;

		/* wait for approx 10sec. */
		TIMEGet(&start);
		do {
			JOBSuspend(MYSELF,1,NULL);
			TIMEGet(&curr);
		} while (start+10>curr);
	}
	return ERR_OK;
}
